Page MenuHomePhabricator

Make FlaggedRevs revision rating box responsive
Closed, ResolvedPublic

Description

The second line of the revision rating box of FlaggedRevs is non-breakable, which causes it to be quite wide (at least 663px on my machine, of course it can be a bit more or less depending on the font). I don't see why should it be non-breakable, but it's certainly too wide to be called responsive. We shouldn't depend on MobileFrontend: first, there may be wikis where FlaggedRevs is installed but MobileFrontend is not; second, using a standard 640×480 screen, the desktop interface is more convenient (not to say that MobileFrontend doesn't turn on automatically on narrow desktop computers, only on mobile/tablet devices).

Details

Related Gerrit Patches:
mediawiki/extensions/FlaggedRevs : masterRevert "white-space:nowrap"

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptMay 31 2017, 7:09 PM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 19 2017, 1:10 AM

@aaron, can you explain why have you added white-space:nowrap in 561b7eb7a136 (yeah, I know, it was over a decade ago…)? Does it cause any harm just deleting it? It’s pretty annoying when I narrow the browser window down to make more stuff have place on the screen and I get a horizontal scrollbar only because of this.

aaron added a comment.Jan 7 2019, 5:39 PM

I don't recall an overriding reason it has to be there. Seems reasonable to experiment with changing it as long as the common desktop case (fuller window) looks the same.

Change 518451 had a related patch set uploaded (by Tacsipacsi; owner: Tacsipacsi):
[mediawiki/extensions/FlaggedRevs@master] Revert "white-space:nowrap"

https://gerrit.wikimedia.org/r/518451

Change 518451 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Revert "white-space:nowrap"

https://gerrit.wikimedia.org/r/518451

Tacsipacsi closed this task as Resolved.Jul 11 2019, 8:22 PM
Tacsipacsi claimed this task.